Create a work order
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"produced_sku_id": 123,
"planned_qty": 1.0001,
"destination_warehouse_id": 123,
"production_warehouse_id": 123,
"vendor_id": 123,
"bom_id": 123,
"expected_completion_date": "2023-12-25",
"service_unit_price": 1,
"notes": "<string>",
"custom_fields": {},
"alternate_ids": [
"<string>"
]
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders"
payload = {
"produced_sku_id": 123,
"planned_qty": 1.0001,
"destination_warehouse_id": 123,
"production_warehouse_id": 123,
"vendor_id": 123,
"bom_id": 123,
"expected_completion_date": "2023-12-25",
"service_unit_price": 1,
"notes": "<string>",
"custom_fields": {},
"alternate_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
produced_sku_id: 123,
planned_qty: 1.0001,
destination_warehouse_id: 123,
production_warehouse_id: 123,
vendor_id: 123,
bom_id: 123,
expected_completion_date: '2023-12-25',
service_unit_price: 1,
notes: '<string>',
custom_fields: {},
alternate_ids: ['<string>']
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"work_order_number": "<string>",
"status": "<string>",
"is_on_hold": true,
"produced_sku_id": 123,
"produced_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"expected_completion_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"production_warehouse_id": 123,
"production_warehouse": {
"id": 123,
"name": "<string>"
},
"destination_warehouse_id": 123,
"destination_warehouse": {
"id": 123,
"name": "<string>"
},
"vendor_id": 123,
"vendor": {
"id": 123,
"name": "<string>"
},
"bom_id": 123,
"service_unit_price": 123,
"notes": "<string>",
"hold_reason": "<string>",
"cancel_reason": "<string>",
"held_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"updated_by": 123,
"held_by": 123,
"production_batch_id": 123,
"steps": [
{
"id": 123,
"work_order_id": 123,
"sequence": 123,
"status": "<string>",
"output_sku_id": 123,
"output_sku": {
"id": 123,
"sku": "<string>",
"description": "<string>"
},
"planned_qty": 123,
"completed_qty": 123,
"is_outside_processing": true,
"supply_mode": "<string>",
"vendor_id": 123,
"skipped_at": "2023-11-07T05:31:56Z",
"skipped_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"custom_fields": {},
"alternate_ids": [
"<string>"
],
"links": {
"self": "<string>",
"steps": "<string>",
"completions": "<string>",
"production_entries": "<string>",
"status_history": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}Work Orders
Create a work order
Create a new work order.
POST
/
work-orders
Create a work order
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Body
application/json
ID of the SKU to produce (references a request_for_quotes SKU record).
Planned quantity to produce. Must be at least 0.0001.
Required range:
x >= 0.0001Warehouse where the produced goods are received.
Warehouse where production occurs.
Vendor performing the work (for subcontracted production).
Bill of materials to use for this work order.
Expected completion date for the work order.
Event that marks the work order as complete.
Available options:
finish_step, receipt Per-unit service price for subcontracted production.
Required range:
x >= 0Free-form notes for the work order.
Custom field key/value pairs.
Alternate identifiers for the work order.
Response
Created
Show child attributes
Show child attributes
⌘I